ServerEvents.recipes(event => {
    //中电容
    event.replaceInput([{ output: 'powah:capacitor_basic'}],'minecraft:redstone_block','botania:gaia_ingot')
    event.replaceInput([{ output: 'powah:capacitor_basic'}],'minecraft:iron_ingot','create:shadow_steel')
    //绝缘外壳
    event.remove({ output: 'powah:dielectric_casing' })
    event.shaped(
        Item.of('powah:dielectric_casing'), [
        'ABA',
        'CDC',
        'ABA'
    ],
        {
            A: 'minecraft:iron_ingot',
            B: 'powah:dielectric_rod_horizontal',
            C: 'powah:dielectric_rod',
            D: 'thermal:energy_cell_frame'
        }
    )
    //能量线缆
    event.replaceInput([{ output: 'powah:energy_cable_starter'}],'minecraft:iron_nugget','thermal:enderium_ingot')
    event.replaceInput([{ output: 'powah:energy_cable_starter'}],'powah:capacitor_basic_tiny','thermal:energy_duct')
    //热力板
    event.remove({ output: 'powah:thermoelectric_plate' })
    event.shaped(
        Item.of('powah:thermoelectric_plate'), [
        'ABA',
        'BCB',
        'ABA'
    ],
        {
            A: 'thermal:constantan_plate',
            B: 'thermal:signalum_plate',
            C: 'powah:capacitor_basic_tiny'
        }
    )
})